Request payout
curl --request POST \
--url https://api.humcli.com/api/v1/operator/payout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount_usd": 11,
"wallet_address": "<string>",
"method": "usdc",
"chain": "base"
}
'import requests
url = "https://api.humcli.com/api/v1/operator/payout"
payload = {
"amount_usd": 11,
"wallet_address": "<string>",
"method": "usdc",
"chain": "base"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount_usd: 11, wallet_address: '<string>', method: 'usdc', chain: 'base'})
};
fetch('https://api.humcli.com/api/v1/operator/payout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payout_id": "<string>",
"amount_usd": 123,
"gas_fee_usd": 123,
"net_amount_usd": 123,
"to_address": "<string>",
"chain": "<string>",
"tx_hash": "<string>",
"message": "<string>"
}{
"error": "<string>"
}Operators
Request payout
Request a USDC payout to your wallet. Supports idempotency via Idempotency-Key header.
POST
/
api
/
v1
/
operator
/
payout
Request payout
Authorizations
Clerk JWT for operator endpoints.
Body
application/json
Response
Payout submitted on-chain
⌘I